[Overview][Types][Procedures and functions][Index] | Reference for unit 'URIParser' (#fcl)

# IsAbsoluteURI

Check whether a URI is absolute.

## Declaration

Source position: uriparser.pp line 52

`function IsAbsoluteURI(`
`const UriReference: string`
`):Boolean;`

## Arguments

`UriReference` |  | URI to analyse

## Function result

True if UriReference is absolute.

## Description

IsAbsoluteURI returns True if the URI in UriReference is absolute, i.e. contains a protocol part.

## Errors

None.

## See also

FilenameToURI |  | Construct a URI from a filename
URIToFileName |  | Convert a URI to a filename